Skip to content

Veeam Managed Backup

All operations require authentication.

25 operationsv1/dedicatedCloud/{serviceName}
Agent setup

List backup repositoriesProduction

GET
/1.0/dedicatedCloud/{serviceName}/backupRepository

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/backupRepository \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a backup repositoryProduction

GET
/1.0/dedicatedCloud/{serviceName}/backupRepository/{repositoryId}

Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.

Path parameters

repositoryId
required
integer

Repository Id

serviceName
required
string

Domain of the service

Response

200BackupRepositorysuccessful operation
lastSuccessfulReplicationDate
read-only
stringdate-time

Replication last successful date

replication
read-only
StateEnum

Replication status

Valuesdisableddisablingenabledenablingerrormigratingunknown
replicationZone
read-only
string

Replication zone

repositoryId
read-only
integer

Repository Id

repositoryName
read-only
string

Repository Name

syncStatus
read-only
ReplicationSyncStatus

Replication sync status

Valuesokout-of-syncsync-requiredunknown

Example uses repositoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/backupRepository/{repositoryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}

Get the backup optionProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup

Get the backup option. Returns the backup option of the datacenter: offer, state, schedule hour, encryption and report settings.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Backupsuccessful operation
backupDurationInReport
read-only
boolean

Duration on email report

backupOffer
read-only
OfferTypeEnum

Backup offer type

Valuesadvancedbackupclassiclegacypremium
backupSizeInReport
read-only
boolean

Backup size on day on email report

diskSizeInReport
read-only
boolean

Disk size on mail report

encryption
read-only
boolean

Backup is encrypted

fullDayInReport
read-only
boolean

Full day on mail report

hostname
read-only
string

Name of the backup server virtual machine.

mailAddress
read-only
string

Unique additional email address for backup daily report

replicationZone
read-only
string

Backup replication zone

restorePointInReport
read-only
boolean

RestorePoint number on mail report

scheduleHour
read-only
time

Schedule hour for start backup

state
read-only
BackupStateEnum

This Backup current state

Valuesdisableddisablingenabledenablingerrormigratingremoving
vmwareVmId
read-only
string

The moref of the backup server virtual machine

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "backupDurationInReport": true, "backupOffer": "advanced", "backupSizeInReport": true, "diskSizeInReport": true, "encryption": true, "fullDayInReport": true, "hostname": "string", "mailAddress": "string", "replicationZone": "string", "restorePointInReport": true, "scheduleHour": "15:04:05", "state": "disabled", "vmwareVmId": "string"}

Restore the last backupsProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/batchRestore

Restore the last backups. Restores each backup job, or a single virtual machine, from its last restore point. Find the repository and job names in the report sent by generateReport. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

backupJobName
string

The backup job name pcc-XXX-XXX-XXX-XXX_vm-XXX if you want to restore one single virtual machine. It can be retrieved in the report sent by generateReport

backupRepositoryName
required
string

The backup files location name bkp-XXXXX, it can be retrieved in the report sent by generateReport

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/batchRestore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Get backup proxy recommendationsProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/canOptimizeProxies

Get backup proxy recommendations. Returns a recommendation to add or remove backup proxies, with the number of proxies deployed and impacted.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200OptimizeProxiessuccessful operation
message
OptimizeMessageEnum

Brief information about recommendation

ValueshasMoreBackupJobshasMoreProxieshasSufficientProxiesnoBackupJobs
numberOfProxiesDeployed
integer

Number of proxies deployed in the Datacenter

numberOfProxiesImpact
integer

Number of proxies get impacted by recommendation

recommendation
OptimizeRecommendationEnum

Action recommended for the optimization

Valuesaddoptimizedremove

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/canOptimizeProxies \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "message": "hasMoreBackupJobs", "numberOfProxiesDeployed": 0, "numberOfProxiesImpact": 0, "recommendation": "add"}

Update the backup optionProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/changeProperties

Update the backup option. Changes the backup offer, the schedule hour (UTC) and the additional email address for the daily report. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

backupDurationInReport
boolean

Deprecated - Duration on email report

backupOffer
required
OfferTypeEnum

Backup offer type

Valuesadvancedbackupclassiclegacypremium
backupSizeInReport
boolean

Deprecated - Backup size on day on email report

diskSizeInReport
boolean

Deprecated - Disk size on mail report

fullDayInReport
boolean

Deprecated - Full day on mail report

mailAddress
string

Unique additional email address for backup daily report

restorePointInReport
boolean

Deprecated - RestorePoint number on mail report

scheduleHour
time

Schedule hour for start backup. UTC Timezone

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/changeProperties \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable the backup optionProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/disable

Disable the backup option. Disables the backup option of the datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable the backup optionDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.

Enable the backup option. Enables the backup option with the given offer. Deprecated: order the option with /order/cart/{cartId}/privateCloud instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

backupOffer
OfferTypeEnum

Backup offer type

Valuesadvancedbackupclassiclegacypremium

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Send a backup reportProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/generateReport

Send a backup report. Sends a report with all backup information by email. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/generateReport \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List backup offersProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/offerCapabilities

List backup offers. Returns the features of each backup offer: retention, encryption, replication, backup days and report options.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200BackupCapabilities[]successful operation
backupDays
boolean

Customized backup days

customReport
boolean

Customized Backup report

dedicatedProxy
boolean

Indicates additional backup proxy for large disk size VM

encryption
boolean

Indicates if backup will be encrypted

mailAddress
boolean

Indicates if customer can add an additional email address for backup report

minimumFullBackups
integer

Minimum number of full backups

offerName
string

Name of offer type

proxyPerHost
boolean

Backup Proxy per host

replication
boolean

Backup Replication enabled

retention
integer

Restore points

scheduleHour
boolean

Scheduled hour of backup start customizable

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/offerCapabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "backupDays": true, "customReport": true, "dedicatedProxy": true, "encryption": true, "mailAddress": true, "minimumFullBackups": 0, "offerName": "string", "proxyPerHost": true, "replication": true, "retention": 0, "scheduleHour": true }]

Optimize backup proxiesProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/optimizeProxies

Optimize backup proxies. Optimizes the number of backup proxies of the datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backup/optimizeProxies \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List datacenter backup repositoriesDeprecated

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository

Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository instead.

List datacenter backup repositories. Returns the IDs of the backup repositories of the datacenter. Deprecated: use /dedicatedCloud/{serviceName}/backupRepository instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a backup repositoryDeprecated

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository/{repositoryId}

Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository/{repositoryId} instead.

Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.

Path parameters

datacenterId
required
integer

Id of the Datacenter

repositoryId
required
integer

Repository Id

serviceName
required
string

Domain of the service

Response

200BackupRepositorysuccessful operation
lastSuccessfulReplicationDate
read-only
stringdate-time

Replication last successful date

replication
read-only
StateEnum

Replication status

Valuesdisableddisablingenabledenablingerrormigratingunknown
replicationZone
read-only
string

Replication zone

repositoryId
read-only
integer

Repository Id

repositoryName
read-only
string

Repository Name

syncStatus
read-only
ReplicationSyncStatus

Replication sync status

Valuesokout-of-syncsync-requiredunknown

Example uses datacenterId = 0, repositoryId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/backupRepository/{repositoryId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}

Check backup jobsProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/checkBackupJobs

Check backup jobs. Checks that the backup jobs of the datacenter are set correctly after virtual machines moved to another datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/checkBackupJobs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Get a VM backup jobDeprecated

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Get a VM backup job. Returns the backup job of the virtual machine: offer, backup days, retention and state. Deprecated: use the backup data of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200BackupJobsuccessful operation
allocatedDisk
read-only
number

Disk space allocated to the virtual machine

backupDays
read-only
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday
encryption
read-only
boolean

Backup is encrypted

offerType
read-only
OfferTypeEnum

Offer type of the backup job

Valuesadvancedbackupclassiclegacypremium
retentionTime
read-only
integer

Number of days before the backup is deleted

state
read-only
StateEnum

State of the backup job

ValuesdeletingdelivereddisableddisablingenablingerrormigratingpendingremovedstoppingtoCreatetoDeletetoDisabletoEnabletoStopunknown
vmName
read-only
string

Name of the virtual Machine

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allocatedDisk": 0, "backupDays": [ "Friday" ], "encryption": true, "offerType": "advanced", "retentionTime": 0, "state": "deleting", "vmName": "string"}

Update a VM backup jobDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Update a VM backup job. Changes the backup days of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable a VM backup jobDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/disable

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Disable a VM backup job. Stops the backups of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable a VM backup jobDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/enable

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Enable a VM backup job. Starts backing up the virtual machine on the given days. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

Backup offer type

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List VM restore pointsDeprecated

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

List VM restore points. Returns the IDs of the restore points of the virtual machine. Deprecated: use the backup data of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a VM restore pointDeprecated

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId}

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Get a VM restore point. Returns the restore point: type, size, creation time and whether it is corrupted. Deprecated: use the backup data of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

restorePointId
required
integer

Id of the restore point.

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200RestorePointsuccessful operation
creationTime
read-only
string

Creation time of the restore point

isCorrupted
read-only
boolean

Show if the restore point is corrupted

restorePointId
read-only
integer

Id of the restore point.

restorePointSize
read-only
UnitAndValue_long

Size of the restore point

type
read-only
BackupTypeEnum

Type of the restore point

Valuesfullincremental

Example uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationTime": "string", "isCorrupted": true, "restorePointId": 0, "restorePointSize": { "unit": "string", "value": 0 }, "type": "full"}

Restore a VM restore pointDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId}/restore

Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.

Restore a VM restore point. Restores the virtual machine from this restore point to the given datastore. Deprecated: use the backup routes of the virtual machine instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

restorePointId
required
integer

Id of the restore point.

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

filerId
required
integer

Id of the filer where we should restore this Backup.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/backupJob/restorePoints/{restorePointId}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Disable VM backupProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/disableBackup

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/disableBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update VM backup daysProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/editBackup

Update VM backup days. Changes the days on which the virtual machine is backed up. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/editBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable VM backupProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/enableBackup

Enable VM backup. Starts backing up the virtual machine on the given days. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

backupDays
required
BackupDaysEnum[]

List of days your Virtual Machine will be backuped

ValuesFridayMondaySaturdaySundayThursdayTuesdayWednesday

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/enableBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Restore a VM backupProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/restoreBackup

Restore a VM backup. Restores the virtual machine from a restore point to the given datastore, NAS by default or vSAN. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

vmId
required
integer

Id of the virtual machine.

Request body (required)

filerId
required
integer

Id of the filer where we should restore this Backup

filerType
FilerTypeEnum

Type of filer where vm will be restored(Default value : nas)

Valuesnasvsan
restorePointId
required
integer

Id of the restorePoint you want to restore

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string, vmId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId}/restoreBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}